
Foreman - Refactor #24191

move user form related JS from asset pipeline to webpack

07/08/2018 01:40 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases: 1.21.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5783,

https://github.com/theforeman/foreman/p

ull/6261

  

Description

We already have a users JS file for user page related interaction, this aim to move js code from application.js to under webpack

namespace.

Related issues:

Related to Foreman - Task #23451: move all javascript/css assets to webpack New 04/30/2018

Related to Foreman - Refactor #25363: upgrade jest to latest version Closed

Associated revisions

Revision 9b51b2b2 - 11/19/2018 12:05 PM - Ohad Levy

fixes #24191 - moves auth_source_selected JS function to webpack

Revision 47db2553 - 11/19/2018 01:22 PM - Ohad Levy

refs #24191 - fix lint error.

History

#1 - 07/08/2018 01:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5783 added

#2 - 07/08/2018 01:56 PM - Ohad Levy

- Related to Task #23451: move all javascript/css assets to webpack added

#3 - 11/01/2018 08:58 AM - Ohad Levy

- Related to Refactor #25363: upgrade jest to latest version added

#4 - 11/19/2018 12:24 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6261 added

#5 - 11/19/2018 01:01 PM - Ohad Levy

- Status changed from Ready For Testing to Closed

Applied in changeset 9b51b2b271ebf29236958ac05338cea25703c227.

#6 - 12/04/2018 12:04 PM - Tomer Brisker

- Fixed in Releases 1.21.0 added
